clc; clear all; close all;
% rozdil sigmaX sigmaY sigmaZ tauXY zateznych stavu MAX/MIN
A=[1.16E+07,	-9.48E+06,	-1.82E+07,	-9.83E+06;
7.72E+07,	-1.32E+07,	1.60E+06,	5.68E+05;
1.43E+08,	-1.69E+07,	2.14E+07,	1.10E+07;
2.05E+08,	1.89E+07,	5.17E+07,	6.34E+07;
2.68E+08,	5.46E+07,	8.20E+07,	1.16E+08;
2.41E+08,	1.46E+08,	1.01E+08,	1.58E+08;
2.14E+08,	2.37E+08,	1.21E+08,	2.00E+08;
1.57E+08,	3.18E+08,	1.28E+08,	1.78E+08;
9.90E+07,	3.98E+08,	1.35E+08,	1.57E+08;
7.18E+07,	3.95E+08,	1.26E+08,	1.14E+08;
-1.20E+06,	3.19E+08,	8.22E+07,	3.03E+07]

size(A);

%rovnice pro vypocet hlavnich napeti
% sigmaX=A(i,1);
% sigmaY=A(i,2);
% sigmaZ=A(i,3);
% tauXY=A(i,4);
% tauXZ=0;
% tauYZ=0;

%TENZOR NAPETI
for i= 1:11
sigmaX=A(i,1);
sigmaY=A(i,2);
sigmaZ=A(i,3);
tauXY=A(i,4);
tauXZ=0;
tauYZ=0;

B=[sigmaX tauXY tauXZ;
   tauXY sigmaY tauYZ;
   tauXZ tauYZ sigmaZ];
[V,D]=eig(B);
sigma_1=max(diag(D));
sigma_3=min(diag(D));
sigma_red=sigma_1-sigma_3;
vektor(i)=[sigma_red]
fprintf('%d iterace sigma_1 = %d sigma_3 = %d sigma_red = %d \n',i,sigma_1,sigma_3, sigma_red);
end
format shortEng
disp('Vektor REDUKOVANYCH NAPETI:')
disp(vektor)
disp('Maximalni redukovany rozkmit[Pa]:')
[M,J]= max(vektor);
disp(M)

fprintf('maximum je v %d. iteraci \n', J)

%ekvivalentní redukované napětí

sigmaX_m=2.21E+06/2;
sigmaY_m=6.11E+07/2;
sigmaZ_m=1.31E+08/2;
tauXY_m=9.57E+06/2;
tauXZ=0;
tauYZ=0;
disp('***********************************************')
disp('ekvivalentní střední napětí - VYPOCET')

B_m=[sigmaX_m tauXY_m tauXZ;
   tauXY_m sigmaY_m tauYZ;
   tauXZ tauYZ sigmaZ_m];
[V_m,D_m]=eig(B_m);
sigma_1_m=max(diag(D_m))
sigma_3_m=min(diag(D_m))
disp('ekvivalentní střední napětí [Pa]:')

sigma_red_mean=sigma_1_m-sigma_3_m

fprintf('ekvivalentní střední napětí %.8f [MPa]\n',sigma_red_mean/1e6)









